js_open_read(3)

NAME
js_open_read - Open up a file for reading

SYNOPSIS
#include JsStr.h

int js_open_read(js_string *filename,js_file *desc)

DESCRIPTION
js_open_read is a function that opens up a file for reading, using the contents in the js_string object filename to determine the file name.

desc is where we store the opened file descriptor.

RETURN VALUE
js_open_read returns JS_ERROR if an error happened opening the file, JS_SUCCESS otherwise. The member filetype of the structure desc will have an invalid value if an error occured opening the file.

EXAMPLE
The following opens up the file "filename" for reading:

	js_string *foo;
	js_file *bar;
	foo = js_create(256,1);
	js_str2js(foo,"filename",8,1);
	js_open_read(foo,bar);

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>